package com.example.ellegadodepintia.exploradoresDePintia.model.efecto

import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.GestorCombate
import com.example.ellegadodepintia.exploradoresDePintia.model.Atributo
import com.example.ellegadodepintia.exploradoresDePintia.model.eventoFactory.EventoCombate

class EfectoCriticoAutomaticoEnemigo(private val stringExito: String) :
    Efecto(100) {
    override fun ejecutar(): String {

        val evento = GameState.eventoActual as? EventoCombate ?: return "No es un evento de combate"
        GestorCombate.cargarAnimacionesAtaqueEnemigo()
        val ataqueReal = GestorCombate.calcularAtaque(evento.ataque, 35)

        GameState.jugador.actualizarAtributo(Atributo.Vida, -ataqueReal)

        return stringExito
    }
}